<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Modules\Factor\Http\Controllers\FactorController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::get('/factors',[FactorController::class,'factorList']);
Route::get('/factors-list/cheque',[FactorController::class,'chequeFactorList']);
Route::get('/show/factor/{id}',[FactorController::class,'showFactor']);
Route::delete('/delete/{id}/factor',[FactorController::class,'deleteFactor']);
Route::get('/factor/products',[FactorController::class,'factorProducts']);
Route::post('/add/factor',[FactorController::class,'addFactor']);
Route::put('/edit/factor/{id}',[FactorController::class,'editFactor']);
